# include "ppMerge.h"

static void mergeFileGroupFree(ppMergeFileGroup *group)
{
    psFree(group->readouts);
    return;
}

ppMergeFileGroup *ppMergeFileGroupAlloc(void)
{
    ppMergeFileGroup *group = psAlloc(sizeof(ppMergeFileGroup));
    psMemSetDeallocator(group, (psFreeFunc)mergeFileGroupFree);

    group->readouts = NULL;
    group->read = false;
    group->busy = false;
    return group;
}
